<?php
namespace ModulesGarden\Servers\ZimbraEmail\App\Libs\Zimbra\Components\Api\Soap\Traits;
use ModulesGarden\Servers\ZimbraEmail\App\Libs\Zimbra\Components\Api\Soap\Client;
use ModulesGarden\Servers\ZimbraEmail\App\Libs\Zimbra\Components\Api\Soap\Interfaces\ApiService;

/**
 * Class ApiClientHandler
 * User: Nessandro
 * Date: 2019-10-01
 * Time: 07:52
 */

trait ApiClientHandler
{
    /**
     * @var Client
     */
    protected $api;

    /**
     * @param $api
     * @return $this
     */
    public function setApi(Client $api)
    {
        $this->api = $api;
        return $this;
    }

    /**
     * @return Client
     */
    public function getApi()
    {
        return $this->api;
    }

}